Subject: Myrrh

From: [email-masked] (Angelia Sparrow)
Date: Sat, 5 Mar 94 04:23:22 GMT

Angel here.

I know myrrh is not excactly a stone, but consider it unpetrified amber.
8).  Anyhoo, I just won a ten-strand myrrh necklace in a writing contest
and was wondering about any legends or lore that surrounds this resin.
(Other than the obvious Three Wise Men association.  It's a burial spice,
symbolizing the mortality of the Messiah.)

Thanks,
Angel, "Terrific, I just won a necklace of embalming spice."